cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andres Zsogon (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (CB-12914) Drop Support for Android JellyBean
Date Sun, 17 Sep 2017 20:06:00 GMT

    [ https://issues.apache.org/jira/browse/CB-12914?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16169404#comment-16169404
] 

Andres Zsogon edited comment on CB-12914 at 9/17/17 8:05 PM:
-------------------------------------------------------------

I understand perfectly, and we are millions away from the 5% threshold yet. Also remember
that _only 7%_ means *140.000.000 active devices worldwide*. That's more than twice the UK
population, or equivalent to the total population of Japan.

A minimum of support for 4.x should be kept for a time by all means possible, as a courtesy
to those millions of users that can't afford USD 1000 for a Samsung Galaxy Note 8 for the
moment.


was (Author: andreszs):
I understand perfectly, and we are millions away from the 5% threshold yet. Also remember
that _only 7%_ means *140.000.000 active devices worldwide*. That's more than twice the entire
population from the UK, or equivalent to the population of Japan.

A minimum of support for 4.x should be kept for a time by all means possible, as a courtesy
to those millions of users that can't afford USD 1000 for a Samsung Galaxy Note 8 for the
moment.

> Drop Support for Android JellyBean
> ----------------------------------
>
>                 Key: CB-12914
>                 URL: https://issues.apache.org/jira/browse/CB-12914
>             Project: Apache Cordova
>          Issue Type: Improvement
>          Components: cordova-android
>            Reporter: Simon MacDonald
>            Assignee: Joe Bowser
>              Labels: android-next
>             Fix For: 7.0.0
>
>
> In cordova-android 7.0.0 we will be dropping support for any Android API level before
19 (Android KitKat).
> We should update the default tempate to indicate the minSdkLevel is 19 and check for
any conditional code that checks for API level less than 19 and adds any special cases.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message